﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddAMarker.aspx.cs" Inherits="CSSamples.AddAMarker" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Add a Marker</title>
    <script language="javascript" type="text/javascript">
        function addMarkerAndRefresh(e) {
            var map = Map1.GetOpenLayersMap();  // get client map object
            var screenPoint = new OpenLayers.Pixel(e.xy.x, e.xy.y); // get clicked point in screen coordinates
            var mapPoint = map.getLonLatFromViewPortPx(screenPoint);    // convert screen points to map coordinates

            var args = mapPoint.lon + ','+ mapPoint.lat;
            <%= ClientScript.GetCallbackEventReference(this, "args", "refreshMarkerLayer", null)%>;
        }     
        
        function refreshMarkerLayer(result,context){
            var map = Map1.GetOpenLayersMap();
            map.getLayer('MarkerOverlay').redraw(true)
        } 
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Map1_Script" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="600" Height="600" OnClientClick="addMarkerAndRefresh">
    </cc1:Map>
    </form>
</body>
</html>
